Subject: [bug#55104] [PATCH 000/232] Update IPython to latest, fix texlive-polyglossia, add more

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 25 Apr 2022 09:15:18 -0400

Hi Lars,

Lars-Dominik Braun <[email-masked]> writes:

> Hi Maxim,
>
>> This is the result of a quest to update IPython (to fix a reported CVE) and
>> wanting to fix its Texinfo/PDF doc generation.  The later ended up being a
>> rather deep rabbit hole, hence the following slurry of commits.  The end
>> result is that we now have an up-to-date IPython and better support to build
>> Sphinx-based documentation, a working texlive-polyglossia package (at least
>> for XeLaTeX) and many new font tools that should allow us to build more fonts
>> from source.
> thank you very much for that update! I noticed python-qtconsole was
> broken by the upgrade, see attached patches for fixes. There are alot
> more failures on the CI, but it’s hard to tell whether they were caused
> by this update or not.

One quick visual way to screen for big new groups of failed packages is
to compare the dashboards, e.g.:

https://ci.guix.gnu.org/eval/262363/dashboard vs https://ci.guix.gnu.org/eval/262877/dashboard

(this is for x86_64-linux).  You can see in this case they look pretty
identical to the eye.

It seems to be that most failures were already there on master (some
caused by the recent PyYAML update).  I've fixed some on my branch,
which may explain why the total succeeded builds is higher than master
(76% vs 67%, as seen in the "Jobs" column at https://ci.guix.gnu.org/).

I've applied these two patches and pushed to the branch; thank you!

Maxim